const common = require("../../../../config/common");
const conn = require("../../../../config/database");
// const constant = require("../../../../config/constant");
// const md5 = require("md5");
const code = require("../../../../config/code");
const asyncLoop = require("node-async-loop");
// const { t } = require("localizify");
// const otpGenerator = require("otp-generator");
// const { email } = require("../../../../language/en");
// const { result } = require("lodash");
// const template = require("../../../../config/template");
// const stripe = require("../../../../config/stripe");

let home = {
    // * This function is used for deliveries request display
    deliveriesList: async (requestData, callback) => {
        try {
            const driverData = await common.getDriverModel(`id = ${requestData.driver_id}`);

            // const orderData = await common.getCommonMultipleRecord("customer.tbl_order", `delivery_boy_id IS NULL AND is_active=true AND is_delete=false AND status = 'Order Requested' `);

            const query = `SELECT o.* 
                FROM customer.tbl_order AS o 
                LEFT JOIN customer.tbl_location_history AS h ON h.id = o.location_id 
                WHERE 
                    delivery_boy_id IS NULL 
                    AND h.is_active = true 
                    AND h.is_delete = false 
                    AND o.is_active = true 
                    AND o.is_delete = false 
                    AND status = 'Order Requested' 
                    AND ROUND((6371 * acos(
                        cos(radians(h.latitude::numeric)) * 
                        cos(radians(${driverData.delivery_latitude}::numeric)) * 
                        cos(radians(${driverData.delivery_longitude}::numeric) - radians(h.longitude::numeric)) + 
                        sin(radians(h.latitude::numeric)) * 
                        sin(radians(${driverData.delivery_latitude}::numeric))
                    ))::numeric, 2) <= ${driverData.notification_range}
                `;

            const result = await conn.query(query, []);

            if (result != null && result != undefined) {
                asyncLoop(
                    result,
                    async (item, next) => {
                        const rejectedRequest = await common.getCommonSingleRecord(
                            "driver.tbl_rejected_request",
                            `is_active = true AND is_delete = false AND driver_id  = ${requestData.driver_id} AND order_id = ${item.id}`
                        );

                        if (rejectedRequest == null || rejectedRequest == undefined) {
                            let data = {};

                            data.order_data = await common.getCommonSingleRecord("customer.tbl_order", `is_active = true AND is_delete =false AND id = ${item.id}`);

                            data.products = await common.getCommonMultipleRecord("customer.tbl_order_details", `is_active = true AND is_delete = false AND order_id = ${data.order_data.id}`);

                            data.location_data = await common.getCommonSingleRecord("customer.tbl_location_history", `is_active = true AND is_delete = false AND id = ${data.order_data.location_id}`);

                            asyncLoop(
                                data.products,
                                async (nestedItem, nestedNext) => {
                                    const productData = await common.getCommonSingleRecord("customer.tbl_dishes", `is_active = true AND is_delete=false AND id = ${nestedItem.product_id}`);

                                    if (productData != null && productData != undefined) {
                                        nestedItem.product_details = productData;
                                        nestedNext();
                                    } else {
                                        nestedNext();
                                    }
                                },
                                async (error) => {
                                    if (error) {
                                        return callback(code.ERROR, { keyword: "rest_keywords_something_went_wrong", content: "" }, []);
                                        next(error);
                                    } else {
                                        data.restaurant_details = await common.getCommonSingleRecord(
                                            "customer.tbl_restaurant",
                                            `is_active = true AND is_delete = false AND id = ${data.products[0].product_details.restaurant_id}`
                                        );

                                        item.order_details = data;

                                        next();
                                    }
                                }
                            );
                        }
                    },
                    async (error) => {
                        if (error) {
                            return callback(code.ERROR, { keyword: "rest_keywords_something_went_wrong", content: "" }, []);
                        } else {
                            return callback(code.SUCCESS, { keyword: "rest_keywords_success", content: "" }, result);
                        }
                    }
                );
            } else {
                return callback(code.DATA_NOT_FOUND, { keyword: "data_not_found", content: "" }, []);
            }
        } catch (error) {
            console.log(error);

            return callback(code.ERROR, { keyword: "rest_keywords_something_went_wrong", content: "" }, []);
        }
    },
};

module.exports = home;
