// ? Please install better comments vs code extension to get comment with different colors
// ! Please install better comments vs code extension to get comment with different colors
// * Please install better comments vs code extension to get comment with different colors
// todo :  Please install better comments vs code extension to get comment with different colors

// ? To use the env file credentials
require("dotenv").config();

// ? To use nodejs server with angular
const cors = require("cors");

// ? To use express in the node js server
const express = require("express");

// ? To create instance of express ( basically to create app in express )
const app = express();

// ? To use cors functionality in the app
app.use(cors());

// ? To use the json format in the app ( Like request and response) .
// app.use(express.json());

// ?  To use the text format in the app. This will be only used if you are encrypting and decrypting the data. ( Like request and response) .
app.use(express.text());

// ?  When we extended : false then it doesn't supports the nested objects. If true then vice versa
app.use(express.urlencoded({ extended: false }));

// ? To acces path of the particular customer route with variable
const customerAuth = require("./modules/v1/Auth/customer/route");

// ? To acces path of the particular customer route with variable
const customerHome = require("./modules/v1/Home/customer/home_route");

// ? To acces path of the particular driver route with variable
const driverAuth = require("./modules/v1/Auth/driver/route");

// ? To acces path of the particular driver route with variable
const driverHome = require("./modules/v1/Home/driver/home_route");

// ? To acces path of the particular route with variable
// const home = require("./modules/v1/home/home_route");

// ? To access Api Document via this path
app.use("/v1/api_document/", require("./modules/v1/api_document/index"));

// ? This is the middleware function which is used when any apis call to check language provided in header of an api
app.use("/", require("./middleware/validation").extractHeaderLanguage);

// ? this is the middleware function which is used when any apis call to check Api key provided Header
app.use("/", require("./middleware/validation").validateApiKey);

// ? this is the middleware function which is used when any apis call to decode encoded data
app.use("/", require("./middleware/validation").decryption);

// ? this is the middleware function which is used when any apis call to check user token provided in header of an api
app.use("/api/modules/v1/Auth/Customer", require("./middleware/validation").validateCustomerToken);
app.use("/api/modules/v1/Home/Customer", require("./middleware/validation").validateCustomerToken);

// ? this is the middleware function which is used when any apis call to check user token provided in header of an api
app.use("/api/modules/v1/Auth/Driver", require("./middleware/validation").validateDriverToken);
app.use("/api/modules/v1/Home/Driver", require("./middleware/validation").validateDriverToken);

// ? To call api and access the particular from postman or any way the below path will be used.
app.use("/api/modules/v1/Auth/Customer", customerAuth);

// ? To call api and access the particular from postman or any way the below path will be used.
app.use("/api/modules/v1/Home/Customer", customerHome);

// ? To call api and access the particular from postman or any way the below path will be used.
app.use("/api/modules/v1/Auth/Driver", driverAuth);

// ? To call api and access the particular from postman or any way the below path will be used.
app.use("/api/modules/v1/Home/Driver", driverHome);

// ? for running the server
try {
    app.listen(3000, () => console.log("Server is running : " + process.env.PORT));
} catch (error) {
    console.log("Failed");
}
